#pragma once

#include "CoreMinimal.h"
#include "ChallengeListItemData.h"
#include "EChallengeSetType.h"
#include "ChallengeList.generated.h"

USTRUCT(BlueprintType)
struct FChallengeList
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FChallengeListItemData> Challenges;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 ListOrder;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 LifetimeInDaysOverride;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 RewardPointsOverride;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ListStartDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ListEndDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText ListTitleStringId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EChallengeSetType SetType;

public:
	DEADBYDAYLIGHT_API FChallengeList();
};

FORCEINLINE uint32 GetTypeHash(const FChallengeList) { return 0; }
